<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Modificar tesi</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php require("../private/connect.inc");
              require("../private/ident.inc");
              require("../private/func.inc");
              ident();
      	      autoritzar($_COOKIE["login"], "tesis");
              $lang = $_REQUEST["lang"];
              if ($lang == "es") {
                $taula = "tesis_es";
              } else if ($lang == "en") {
                $taula = "tesis_en";
              } else {
                $taula = "tesis";
                $lang = "cat";
              }

              $titol=addslashes($_POST["titol"]);
              $keywords=addslashes($_POST["keywords"]);
              $id1=addslashes(id($_POST["id1"]));
              $id2=addslashes(id($_POST["id2"]));
              $id3=addslashes(id($_POST["id3"]));
              if (permis($_COOKIE["login"], "tesis_total")!="true"){
                // Comprovem que li pertany algun dels ids
                es_el_seu_id123($id1, $id2, $id3);
              }
              $categoria=addslashes(cid($_POST["categoria"]));
              $assignatures_rel=addslashes($_POST["assignatures_rel"]);
              $resum=addslashes($_POST["resum"]);
              $tid=addslashes($_POST["tid"]);
              $idioma=$_POST["idioma"];
              $link=Conectar();
              // Si ens demanem un canvi d'idioma, l'hem d'esborrar de la taula a on estaba
              // i insertar-ho a la del nou idioma
              if (($idioma=="Català") && ($lang!="cat")) {
                mysql_query("DELETE FROM $taula WHERE tid=$tid", $link) or die ("Error a la BD!");
                $sql="INSERT INTO tesis (titol,keywords,id1,id2,id3,resum,assignatures_rel,categoria) VALUES
                ('" . $titol . "','" . $keywords . "','" . $id1 . "','" . $id2 . "','" . $id3 . "','"
                . $resum . "','" . $assignatures_rel . "','" . $categoria . "')";
                mysql_query($sql, $link) or die ("Error a la BD!");
              } else if (($idioma=="Castellano") && ($lang!="es")) {
                mysql_query("DELETE FROM $taula WHERE tid=$tid", $link) or die ("Error a la BD!");
                $sql="INSERT INTO tesis_es (titol,keywords,id1,id2,id3,resum,assignatures_rel,categoria) VALUES
                ('" . $titol . "','" . $keywords . "','" . $id1 . "','" . $id2 . "','" . $id3 . "','"
                . $resum . "','" . $assignatures_rel . "','" . $categoria . "')";
                mysql_query($sql, $link) or die ("Error a la BD!");
              } else if (($idioma=="English") && ($lang!="en")) {
                mysql_query("DELETE FROM $taula WHERE tid=$tid", $link) or die ("Error a la BD!");
                $sql="INSERT INTO tesis_en (titol,keywords,id1,id2,id3,resum,assignatures_rel,categoria) VALUES
                ('" . $titol . "','" . $keywords . "','" . $id1 . "','" . $id2 . "','" . $id3 . "','"
                . $resum . "','" . $assignatures_rel . "','" . $categoria . "')";
                mysql_query($sql, $link) or die ("Error a la BD!");
              } else {
                // Si no es vol un canvi d'idioma, simplement actualitzem
                mysql_query("UPDATE $taula SET titol='$titol', resum='$resum',
                             id1='$id1', id2='$id2', id3='$id3', categoria='$categoria',
                             assignatures_rel='$assignatures_rel' , keywords='$keywords' WHERE tid=$tid",
                             $link) or die ("Error a la BD!");
              }
        ?>
        <h2>Administració Tesis: Modificar</h2>
        Registre modificat!!<br>
        <font size="-1"><i>En 3 segons tornará al menú d'administració</i></font>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
    <script languaje='JavaScript'>
       setTimeout('location.href="../login.php"', 3000)
    </script>
  </body>
</html>

